#ifndef __state
#define __state

#include "stdint.h"

enum class Direction
{
  None = 0,
  Up = 1,
  Down = 2
};


struct StateContainer
{
  uint32_t CurrentTime;
  uint16_t CurrentHeight;

  Direction MoveDirection;
  uint16_t MoveTarget;
};

extern StateContainer State;

#endif
